%define name    mythtv
%define version 0.27
%define gitversion v0.27-124-gd9650
%define fixesdate 20131222
%define rel 2

%if %{fixesdate}
%define release %mkrel %fixesdate.%rel
%else
%define release %mkrel %rel
%endif

%define lib_name_orig   libmyth
%define lib_major       0.27
%define lib_name        %mklibname myth %{lib_major}
%define lib_name_devel  %mklibname myth -d

%define maenable 1

#set default build options
# disabled as overrides xv
%define build_directfb          0
%define build_dts               0
%define build_faac              0
%define build_faad              0
%define build_lame              0
%define build_x264              0
%define build_xvid              0

# --with plf
%if "%distro_section" == "tainted"
%global build_tainted 1
%else
%global build_tainted 0
%endif
%if %{build_tainted}
%define build_dts               1
%define build_faac              0
%define build_faad              1
%define build_lame              1
# build broken against current x264 as of 2010-01, re-enable when fixed
%define build_x264              0
%define build_xvid              1
%endif

#enable/disable building for certain hardware
%{?_without_directfb:           %global build_directfb 0}
%{?_without_dts:                %global build_dts 0}
%{?_without_faac:               %global build_faac 0}
%{?_without_faad:               %global build_faad 0}
%{?_without_lame:               %global build_lame 0}
%{?_without_x264:               %global build_x264 0}
%{?_without_xvid:               %global build_xvid 0}

%{?_with_directfb:              %global build_directfb 1}
%{?_with_dts:                   %global build_dts 1}
%{?_with_faac:                  %global build_faac 1}
%{?_with_faad:                  %global build_faad 1}
%{?_with_lame:                  %global build_lame 1}
%{?_with_x264:                  %global build_x264 1}
%{?_with_xvid:                  %global build_xvid 1}

# The filters in mythfrontend shouldn't really be exposed as provides.
%global _exclude_files_from_autoprov %{?_exclude_files_from_autoprov:%_exclude_files_from_autoprov|}%{_libdir}/%{name}/filters/.*\\.so$

Summary:        A personal video recorder (PVR) application
Name:           %{name}
Version:        %{version}
Release:        %{release}
URL:            http://www.mythtv.org/
License:        GPL + GPLv3
Group:          Video/Television
# (cg) From https://github.com/MythTV/mythtv/archive/v%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz
Source1:        mythbackend.sysconfig.in
Source2:        mythbackend.init.in
Source3:        mythbackend.logrotate.in
Source4:        99MythFrontend
Source5:        %name-16.png
Source6:        %name-32.png
Source7:        %name-48.png
Source8:        mythbackend.service.in
Source9:        update-fixes.sh
%if %{fixesdate}
Patch001: fixes-%{gitversion}.patch
%endif
# (cg) git format-patch --start-number 100 fixes/0.27..mga-0.27
Patch100: 0100-lame-Allow-building-without-lame-libraries.patch
Patch101: 0101-lame-Allow-building-plugins-without-lame-libraries.patch
Patch102: 0102-pulse-Do-not-suspend-PA-when-using-alsa-default.patch
Patch103: 0103-Fix-dns-sd-detection.patch
Patch104: 0104-Support-libcec-2.x.patch
Patch105: 0105-Use-system-build-flags.patch
Patch106: 0106-Fix-zeromq-libdir-path-on-some-systems.patch


BuildRequires:  imagemagick
BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  libalsa-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libjack-devel
BuildRequires:  lirc-devel
BuildRequires:  libx11-devel
BuildRequires:  libxext-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxv-devel
BuildRequires:  libxvmc-devel
BuildRequires:  libxxf86vm-devel
BuildRequires:  python-devel
BuildRequires:  python-mysql
BuildRequires:  python-lxml
BuildRequires:  python-urlgrabber
BuildRequires:  pulseaudio-devel
BuildRequires:  fftw3-devel
BuildRequires:  vdpau-devel
BuildRequires:  libva-devel
BuildRequires:  crystalhd-devel
BuildRequires:  cec-devel
BuildRequires:  libass-devel
BuildRequires:  avahi-compat-libdns_sd-devel
BuildRequires:  libvpx-devel
BuildRequires:  gdb
BuildRequires:  yasm
%if %build_lame
BuildRequires:  lame-devel
%endif
%if %build_dts
BuildRequires:  dtsdec-devel
%endif
%if %build_x264
BuildRequires:  x264-devel
%endif
%if %build_xvid
BuildRequires:  xvid-devel
%endif
%if %build_faac
BuildRequires:  libfaac-devel
%endif
%if %build_faad
BuildRequires:  libfaad2-devel
%endif
%if %{build_directfb}
BuildRequires:  libdirectfb-devel
%endif
BuildRequires:  libavc1394-devel
BuildRequires:  libiec61883-devel
BuildRequires:  mesagl-devel
BuildRequires:  mesaglu-devel
%if %maenable
BuildRequires:  multiarch-utils
%endif
BuildRequires:  perl(Net::UPnP::QueryResponse)
BuildRequires:  perl(Net::UPnP::ControlPoint)

# For Plugins
BuildRequires:  libvisual-devel
BuildRequires:  fftw-devel
BuildRequires:  SDL-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libexif-devel
BuildRequires:  id3tag-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libflac-devel
BuildRequires:  libcdaudio-devel
BuildRequires:  libcdda-devel
BuildRequires:  tiff-devel
BuildRequires:  mysql-devel
BuildRequires:  taglib-devel
BuildRequires:  python-curl
BuildRequires:  python-oauth
BuildRequires:  perl-XML-XPath
BuildRequires:  perl-Image-Size
BuildRequires:  perl-Date-Manip
BuildRequires:  perl-DateTime-Format-ISO8601
BuildRequires:  perl-SOAP-Lite
BuildRequires:  perl-XML-Simple
BuildRequires:  perl(Class::Factory::Util)



%description
MythTV implements the following PVR features, and more, with a
unified graphical interface:

 - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
 - Video compression using RTjpeg or MPEG-4
 - Program listing retrieval using XMLTV
 - Themable, semi-transparent on-screen display
 - Electronic program guide
 - Scheduled recording of TV programs
 - Resolution of conflicts between scheduled recordings
 - Basic video editing

%if %{build_tainted}
This package is in the "tainted" section because it contains software that supports
codecs that may be covered by software patents.
%endif
%if !%build_lame
Note that this build does not support MP3 encoding when recording
into the NuppelVideo format.
%endif
%if %{fixesdate}
This package is based on the MythTV "fixes" branch at revision %{gitversion}
%endif

%package -n %{lib_name}
Summary:        Library providing mythtv support
Group:          System/Libraries
Provides:       %{lib_name_orig} = %{version}-%{release}
# (cg) This is against library packaging policy but I'm looking the other way...
Conflicts:      %mklibname myth 0.24
Conflicts:      %mklibname myth 0.26

%description -n %{lib_name}
Common library code for MythTV and add-on modules (development)
MythTV provides a unified graphical interface for recording and viewing
television programs.

%if %{build_tainted}
This package is in the "tainted" section because it contains software that supports
codecs that may be covered by software patents.
%endif
%if %{fixesdate}
This package is based on the MythTV "fixes" branch at revision %{gitversion}
%endif

%package -n %{lib_name_devel}
Summary:        Development files for libmyth
Group:          Development/Other
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{lib_name_orig}-devel = %{version}-%{release}
Provides:       myth-devel = %{version}-%{release}
Obsoletes:      %{_lib}myth0.20-devel

%description -n %{lib_name_devel}
This package contains the header files and libraries for developing
add-ons for mythtv.

%if %{build_tainted}
This package is in the "tainted" section because it contains software that supports
codecs that may be covered by software patents.
%endif
%if %{fixesdate}
This package is based on the MythTV "fixes" branch at revision %{gitversion}
%endif

%package themes-base
Obsoletes:      mythtv-themes < 0.20-5
Summary:        Base themes for mythtv's frontend
Group:          Video/Television
BuildArch:      noarch
Obsoletes:      mythtv-themes-myththemes
Conflicts:      mythtv-themes-myththemes < 0.22
Conflicts:      mythtv-plugin-controls < 0.22

%description themes-base
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains only the base themes used by mythtv-frontend and
mythtv-setup.

%package common
Summary:        Common components needed by multiple other MythTV components
Group:          Video/Television
Conflicts:      mythtv-backend < 0.25
Conflicts:      mythtv-frontend < 0.25

%description common
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains components needed by multiple other MythTV components.

%package frontend
Summary:        Client component of mythtv (a PVR)
Group:          Video/Television
Requires:       mythtv-themes-base = %{version}-%{release}
Requires:       mythtv-common = %{version}-%{release}
Requires:       qt4-database-plugin-mysql
Requires:       mplayer
%if %{build_tainted}
Requires:       transcode
Requires:       %mklibname dvdcss 2
%endif
Obsoletes:      mythtv-plugin-controls
Obsoletes:      mythtv-plugin-video
Conflicts:      mythtv-backend < 0.23-24821.2

%description frontend
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains only the client software, which provides a
front-end for playback and configuration.  It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.

%if %{build_tainted}
This package is in the "tainted" section because it contains software that supports
codecs that may be covered by software patents.
%endif
%if %{fixesdate}
This package is based on the MythTV "fixes" branch at revision %{gitversion}
%endif

%package backend
Summary:        Server component of mythtv (a PVR)
Group:          Video/Television
Requires:       %{lib_name} = %{version}-%{release}
Requires:       mythtv-common = %{version}-%{release}
Requires:       qt4-database-plugin-mysql
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Suggests:       mysql
Conflicts:      mythtv-frontend < 0.25

%description backend
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains only the server software, which provides video
and audio capture and encoding services.  In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.

%if %{build_tainted}
This package is in the "tainted" section because it contains software that supports
codecs that may be covered by software patents.
%endif
%if !%build_lame
Note that this build does not support MP3 encoding when recording
into the NuppelVideo format.
%endif
%if %{fixesdate}
This package is based on the MythTV "fixes" branch at revision %{gitversion}
%endif

%package setup
Summary:        Setup the mythtv backend
Group:          Video/Television
Requires:       mythtv-backend = %{version}-%{release}
Requires:       mythtv-themes-base = %{version}-%{release}
Obsoletes:      mythtvsetup < 0.19
Provides:       mythtvsetup
Requires:       qt4-database-plugin-mysql

%description setup
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the setup software for configuring the mythtv
backend.

%if %{build_tainted}
This package is in the "tainted" section because it contains software that supports
codecs that may be covered by software patents.
%endif
%if !%build_lame
Note that this build does not support MP3 encoding when recording
into the NuppelVideo format.
%endif
%if %{fixesdate}
This package is based on the MythTV "fixes" branch at revision %{gitversion}
%endif

%package doc
Summary:        MythTV documentation
Group:          Video/Television
BuildArch:      noarch
Obsoletes:      mythtv < 0.20-5

%description doc
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the documentation and contributed additional
scripts for MythTV.

%package -n perl-MythTV
Summary:        Perl bindings for MythTV
Group:          Development/Perl

%description -n perl-MythTV
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the perl bindings for MythTV.

%package -n python-mythtv
Summary:        Python bindings for MythTV
Group:          Development/Python
Requires:       python-mysql
Requires:       python-lxml

%description -n python-mythtv
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the python bindings for MythTV.

%package -n php-mythtv
Summary:        PHP bindings for MythTV
Group:          Development/PHP
BuildArch:      noarch
Requires:       php-mysql

%description -n php-mythtv
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the PHP bindings for MythTV.

%package plugin-browser
Summary:        Full web browser for MythTV
URL:            http://www.mythtv.org/
Group:          Video/Television
Obsoletes:      mythbrowser < 0.20a-7
Requires:       mythtv-frontend >= %{version}

%description plugin-browser
MythBrowser is a full web browser for MythTV.

%package plugin-gallery
Summary:        Gallery/slideshow module for MythTV
Group:          Video/Television
Requires:       mythtv-frontend >= %{version}
Obsoletes:      mythgallery < 0.20a-7

%description plugin-gallery
A gallery/slideshow module for MythTV.

%package plugin-game
Summary:        Game frontend for MythTV
Group:          Video/Television
Requires:       mythtv-frontend >= %{version}
Obsoletes:      mythgame < 0.20a-7

%description plugin-game
A game frontend for MythTV.

%package plugin-music
Summary:        The music player add-on module for MythTV
Group:          Video/Television
#Requires:       cdparanoia
Requires:       mythtv-frontend >= %{version}
Obsoletes:      mythmusic < 0.20a-7

%description plugin-music
The music player add-on module for MythTV.

%if %{build_tainted}
This package is in the tainted section because it contains software that supports
codecs that may be covered by software patents.
%endif

%package plugin-netvision
Summary:        NetVision for MythTV
Group:          Video/Television
Requires:       mythtv-frontend >= %{version}

%description plugin-netvision
NetVision for MythTV. View popular media website content.

%package plugin-news
Summary:        RSS News feed plugin for MythTV
Group:          Video/Television
Requires:       mythtv-frontend >= %{version}
Obsoletes:      mythnews < 0.20a-7

%description plugin-news
An RSS News feed plugin for MythTV.

%package plugin-weather
Summary:        MythTV module that displays a weather forecast
Group:          Video/Television
Requires:       mythtv-frontend >= %{version}
Obsoletes:      mythweather < 0.20a-7

%description plugin-weather
A MythTV module that displays a weather forcast.

%package plugin-zoneminder
Summary:        Security camera plugin for MythTV
Group:          Video/Television
Requires:       mythtv-frontend >= %{version}

%description plugin-zoneminder
A security camera plugin for MythTV.

%package plugin-archive
Summary:        Creates DVDs from your recorded shows
Group:          Video/Television
Requires:       dvd+rw-tools
Requires:       dvdauthor
Requires:       ffmpeg
Requires:       mjpegtools
Requires:       python-imaging
Requires:       python-mysql
Requires:       mythtv-frontend >= %{version}
%if %{build_tainted}
Requires:       transcode
%endif
Requires:       cdrkit-genisoimage
Obsoletes:      mytharchive < 0.20a-7

%description plugin-archive
MythArchive is a plugin for MythTV that lets you create DVDs
from your recorded shows, MythVideo files and any video files
available on your system. It can also archive recordings in a
proprietary format that archives not only the file but also all the
associated metadata like title, description and cut list information
which will mean you can create backups of myth recordings which can
later be restored or it will also allow you to move recordings
between myth systems without losing any of the metadata. It is a
complete rewrite of the old MythBurn bash scripts, now using python,
and the mythfrontend UI plugin.



%prep
%setup -q
%apply_patches

# (cg) The install scripts are pretty dumb at times and include these files
# so lets trash them early
find \( -name .gitignore -o -name "*.[0-9][0-9][0-9][0-9]" \) -delete

pushd mythtv
# (cg) As of 0.21, only contrib scripts are affected.
find contrib -type f | xargs grep -l /usr/local | xargs perl -pi -e's|/usr/local|%{_prefix}|g'

echo "QMAKE_PROJECT_DEPTH = 0" >> mythtv.pro
echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro

cp -a %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE8} .
for file in mythbackend.init \
            mythbackend.service \
            mythbackend.sysconfig \
            mythbackend.logrotate; do
  sed -e's|@logdir@|%{_logdir}|g' \
      -e's|@rundir@|%{_var}/run|g' \
      -e's|@sysconfdir@|%{_sysconfdir}|g' \
      -e's|@sysconfigdir@|%{_sysconfdir}/sysconfig|g' \
      -e's|@initdir@|%{_initrddir}|g' \
      -e's|@bindir@|%{_bindir}|g' \
      -e's|@sbindir@|%{_sbindir}|g' \
      -e's|@subsysdir@|%{_var}/lock/subsys|g' \
      -e's|@varlibdir@|%{_localstatedir}/lib|g' \
      -e's|@varcachedir@|%{_var}/cache|g' \
      -e's|@logrotatedir@|%{_sysconfdir}/logrotate.d|g' \
  < $file.in > $file
done

# default recordings dir
perl -pi -e's|/mnt/store|%{_localstatedir}/lib/mythtv/recordings|' programs/mythtv-setup/backendsettings.cpp

# do not set hardcoded archflags
perl -pi -e's|^echo "ARCHFLAGS=|# echo "ARCHFLAGS=|' configure

# Fix the version reporting (which assumes git clone)
perl -pi -e"s|SOURCE_VERSION=.*|SOURCE_VERSION='%{version}-%{release} (aka %{gitversion})'\nBRANCH='fixes/%{version}'|" version.sh
popd

%build
pushd mythtv
./configure \
  --prefix=%{_prefix} \
  --libdir-name=%{_lib} \
  --enable-runtime-cpudetect \
  --enable-dvb \
  --enable-opengl-video \
  --without-bindings=perl \
  --extra-cxxflags="%{optflags}" \
  --extra-ldflags="%{ldflags}" \
  --enable-vdpau \
  --enable-vaapi \
  --enable-crystalhd \
  --enable-libfftw3 \
  --enable-libdns-sd \
  --enable-libvpx \
%if %{build_tainted}
  --enable-nonfree \
%endif
%if %{build_x264}
  --enable-libx264 \
%endif
%if %{build_xvid}
  --enable-libxvid \
%endif
%if %{build_faac}
  --enable-libfaac \
%endif
%if %{build_lame}
  --enable-libmp3lame \
%endif
  --enable-firewire \
  --disable-mythlogserver

%make

# This is easier to do ourselves
pushd bindings/perl
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
popd
popd

# Install temporarily to compile plugins
mkdir temp
temp=$(pwd)/temp
make -C mythtv install INSTALL_ROOT=$temp
export LD_LIBRARY_PATH=$temp%{_libdir}:$LD_LIBRARY_PATH

pushd mythplugins

# Fix things up so they can find our "temp" install location for mythtv libs
echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro
find . -name \*.pro \
  -exec sed -i -e "s,INCLUDEPATH += .\+/include/mythtv,INCLUDEPATH += $temp%{_includedir}/mythtv," {} \; \
  -exec sed -i -e "s,DEPLIBS = \$\${LIBDIR},DEPLIBS = $temp%{_libdir}," {} \; \
  -exec sed -i -e "s,\$\${PREFIX}/include/mythtv,$temp%{_includedir}/mythtv," {} \;
echo "INCLUDEPATH -= \$\${PREFIX}/include" >> settings.pro
echo "INCLUDEPATH -= \$\${SYSROOT}/\$\${PREFIX}/include" >> settings.pro
echo "INCLUDEPATH -= %{_includedir}" >> settings.pro
echo "INCLUDEPATH += $temp%{_includedir}" >> settings.pro
echo "INCLUDEPATH += %{_includedir}" >> settings.pro
echo "LIBS *= -L$temp%{_libdir}" >> settings.pro
echo "QMAKE_LIBDIR += $temp%{_libdir}" >> targetdep.pro

./configure \
  --prefix=${temp}%{_prefix} \
  --libdir=${_libdir} \
  --libdir-name=${_lib} \
  --enable-all \
  --libdir-name=%{_lib} \
%if %{build_tainted}
  --enable-mp3lame
%else
  --disable-mp3lame
%endif

%make

popd



%install
rm -rf %{buildroot}

export INSTALL_ROOT=%{buildroot}

pushd mythtv
%makeinstall_std

pushd bindings/perl
%makeinstall_std
popd


%if %maenable
%multiarch_includes %{buildroot}%_includedir/mythtv/mythconfig.h
%endif

mkdir -p %{buildroot}%{_localstatedir}/lib/mythtv
mkdir -p %{buildroot}%{_localstatedir}/lib/mythtv/recordings
mkdir -p %{buildroot}%{_var}/cache/mythtv
mkdir -p %{buildroot}%{_logdir}/mythtv
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

install -p mythbackend.init %{buildroot}%{_initrddir}/mythbackend
install -p mythbackend.service %{buildroot}%{_unitdir}/mythbackend.service
install -p mythbackend.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/mythbackend
install -p mythbackend.logrotate  %{buildroot}%{_sysconfdir}/logrotate.d

# wmsession.d for mythfrontend
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
install -p %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/wmsession.d

# icon
install -d -m755 %{buildroot}/%{_miconsdir}
install -m755 %{SOURCE5} %{buildroot}/%{_miconsdir}/%name.png

install -d -m755 %{buildroot}/%{_iconsdir}
install -m755 %{SOURCE6} %{buildroot}/%{_iconsdir}/%name.png

install -d -m755 %{buildroot}/%{_liconsdir}
install -m755 %{SOURCE7} %{buildroot}/%{_liconsdir}/%name.png


# Menu entries
install -d -m755 %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-mythtv-frontend.desktop
[Desktop Entry]
Name=MythTV
Comment=Record, playback and watch TV
Exec=mythfrontend
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;AudioVideo;Video;TV;Recorder;X-MandrivaLinux-Multimedia-Video;
EOF
cat <<EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-mythtv-setup.desktop
[Desktop Entry]
Name=MythTV Setup
Comment=Setup MythTV backend
Exec=mythtv-setup
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;AudioVideo;Video;TV;Recorder;X-MandrivaLinux-Multimedia-Video;
EOF

cat > README.install.urpmi <<EOF
You can import the initial database by running:
mysql -u root -p < %{_datadir}/mythtv/initialdb/mc.sql
(you can omit -p if you do not have the password set)
EOF

mkdir -p %{buildroot}%{_libdir}/mythtv/plugins

install -d -m755 %{buildroot}%{_datadir}/mythtv/initialdb
install -m644 database/* %{buildroot}%{_datadir}/mythtv/initialdb

#mkdir -p %%{buildroot}%%{_datadir}/mythtv/build/
#install -p settings.pro %%{buildroot}%%{_datadir}/mythtv/build/

# install a few useful contrib scripts
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -ar contrib %{buildroot}%{_datadir}/%{name}

popd

pushd mythplugins
%makeinstall_std

#mythgallery
mkdir -p %{buildroot}%{_localstatedir}/lib/pictures
#mythmusic
mkdir -p %{buildroot}%{_localstatedir}/lib/mythmusic

mkdir -p %{buildroot}{%_docdir}/mythtv-plugin-{browser,gallery,game,music,netvision,news,weather,video,zoneminder}

popd

# Remove python egg-info as it's pointless
rm -f %{buildroot}%{py_puresitedir}/MythTV-*.egg-info

# (cg) We cover the package license so no need to include it separately
rm -f %{buildroot}%{_datadir}/%{name}/fonts/tiresias_gpl3.txt

# (cg) This is needed for the %%doc stuff on the subpackages for some reason...
mkdir -p %{buildroot}%{_docdir}/%{name}-backend
mkdir -p %{buildroot}%{_docdir}/%{name}-doc

# (cg) For some reason the FFmpeg stuff is included in two build roots :s
if [ -d %{buildroot}%{buildroot}%{_includedir}/%{name} ]; then
  mv %{buildroot}%{buildroot}%{_includedir}/%{name}/* %{buildroot}%{_includedir}/%{name}
  rmdir -p %{buildroot}%{buildroot}%{_includedir}/%{name} || /bin/true
fi
if [ -f %{buildroot}%{buildroot}%{_bindir}/mythffmpeg ]; then
  mv %{buildroot}%{buildroot}%{_bindir}/mythff* %{buildroot}%{_bindir}
  rmdir -p %{buildroot}%{buildroot}%{_bindir} || /bin/true
fi

# (cg) The mythzeromq stuff is not needed in our -devel package.
rm -f %{buildroot}%{_includedir}/zmq*.h* %{buildroot}%{_libdir}/pkgconfig/libmythzmq.pc
rmdir %{buildroot}%{_libdir}/pkgconfig 2>/dev/null || :

# (cg) Clean up some other stuff we don't want to include
rm -f %{buildroot}%{_libdir}/libmythqjson.prl

find %{buildroot} -name *.la -delete
find %{buildroot} -name *.a -delete

%clean
rm -rf %{buildroot}

%pre backend
# Add the "mythtv" user
%_pre_useradd mythtv %{_localstatedir}/lib/mythtv /sbin/nologin
%{_bindir}/gpasswd -a mythtv audio &>/dev/null
%{_bindir}/gpasswd -a mythtv video &>/dev/null

%postun backend
%_postun_userdel mythtv

%post backend
%_post_service mythbackend

%preun backend
%_preun_service mythbackend

%files doc
%doc mythtv/README mythtv/UPGRADING mythtv/AUTHORS mythtv/COPYING mythtv/FAQ
%doc mythtv/keys.txt
#%%doc docs/*.html docs/*.png docs/*.txt docs/i18n
%doc mythtv/contrib
%{_datadir}/%{name}/fonts/*.txt
%{_datadir}/%{name}/contrib
%{_datadir}/%{name}/html


%files common
#%%dir %%{_sysconfdir}/%%{name}
#%%config(noreplace) %%{_sysconfdir}/%%{name}/mysql.txt
#%%config(noreplace) %%{_sysconfdir}/%%{name}/config.xml
%{_bindir}/mythccextractor
%{_bindir}/mythcommflag
%{_bindir}/mythpreviewgen
%{_bindir}/mythtranscode
%{_bindir}/mythwikiscripts
%{_bindir}/mythmetadatalookup
%{_bindir}/mythutil
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/mythconverg*.pl
%dir %{_datadir}/%{name}/locales
%{_datadir}/%{name}/locales/*
%dir %{_datadir}/%{name}/metadata
%{_datadir}/%{name}/metadata/*
%dir %{_datadir}/%{name}/hardwareprofile
%{_datadir}/%{name}/hardwareprofile/*

%files backend
%doc mythtv/README.install.urpmi
%{_bindir}/mythbackend
%{_bindir}/mythhdhomerun_config
%{_bindir}/mythfilldatabase
%{_bindir}/mythjobqueue
%{_bindir}/mythmediaserver
%{_bindir}/mythreplex
%{_datadir}/%{name}/mythconverg_backup.pl
%{_datadir}/%{name}/mythconverg_restore.pl
%attr(-,mythtv,mythtv) %dir %{_localstatedir}/lib/mythtv
%attr(-,mythtv,mythtv) %dir %{_localstatedir}/lib/mythtv/recordings
%attr(-,mythtv,mythtv) %dir %{_var}/cache/mythtv
%{_unitdir}/mythbackend.service
%{_initrddir}/mythbackend
%config(noreplace) %{_sysconfdir}/sysconfig/mythbackend
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%attr(-,mythtv,mythtv) %dir %{_logdir}/mythtv
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/backend-config
%dir %{_datadir}/%{name}/initialdb
%{_datadir}/%{name}/initialdb/mc.sql
%dir %{_datadir}/mythtv/internetcontent
%{_datadir}/mythtv/internetcontent/*

%files frontend
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/99MythFrontend
%{_datadir}/mythtv/*.xml
%{_bindir}/mythwelcome
%{_bindir}/mythfrontend
%{_bindir}/mythff*
%{_bindir}/mythlcdserver
%{_bindir}/mythscreenwizard
%{_bindir}/mythshutdown
%{_bindir}/mythavtest
%dir %{_libdir}/mythtv
%{_libdir}/mythtv/filters
%{_libdir}/mythtv/plugins
%dir %{_datadir}/mythtv
%dir %{_datadir}/mythtv/fonts
%{_datadir}/mythtv/fonts/*.ttf
%{_datadir}/mythtv/fonts/*.otf
%{_datadir}/mythtv/i18n
%{_datadir}/applications/%{_real_vendor}-mythtv-frontend.desktop

%files setup
%{_bindir}/mythtv-setup
%{_datadir}/applications/%{_real_vendor}-mythtv-setup.desktop
%dir %{_datadir}/mythtv
%{_datadir}/mythtv/setup.xml

%files themes-base
%dir %{_datadir}/mythtv
%{_datadir}/mythtv/themes
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%files -n %{lib_name}
%{_libdir}/*.so.*

%files -n %{lib_name_devel}
%if %maenable
%multiarch %{multiarch_includedir}/mythtv/mythconfig.h
%endif
%{_includedir}/mythtv
# FIXME: Manually multiarch mythconfig.mak
%{_libdir}/*.so
#%%{_datadir}/mythtv/build/settings.pro

%files -n perl-MythTV
%{perl_vendorlib}/MythTV.pm
%{perl_vendorlib}/MythTV
%{perl_vendorlib}/IO/Socket/INET/MythTV.pm

%files -n python-mythtv
%{_bindir}/mythpython
%dir %{py_puresitedir}/MythTV
%{py_puresitedir}/MythTV/*

%files -n php-mythtv
%dir %{_datadir}/%{name}/bindings
%{_datadir}/%{name}/bindings/php

%files plugin-browser
%doc mythplugins/mythbrowser/README mythplugins/mythbrowser/COPYING mythplugins/mythbrowser/AUTHORS
%{_libdir}/mythtv/plugins/libmythbrowser.so
%{_datadir}/mythtv/i18n/mythbrowser_*.qm
%{_datadir}/mythtv/themes/default*/browser-ui.xml
%{_datadir}/mythtv/themes/default*/mb_*.png

%files plugin-gallery
%doc mythplugins/mythgallery/README*
%{_libdir}/mythtv/plugins/libmythgallery.so
%{_datadir}/mythtv/i18n/mythgallery_*.qm
%{_datadir}/mythtv/themes/default*/gallery*
%{_localstatedir}/lib/pictures

%files plugin-game
%doc mythplugins/mythgame/romdb*
%{_libdir}/mythtv/plugins/libmythgame.so
%{_datadir}/mythtv/i18n/mythgame_*.qm
%{_datadir}/mythtv/game_settings.xml
%{_datadir}/mythtv/themes/default*/game*
%dir %{_datadir}/mythtv/metadata
%{_datadir}/mythtv/metadata/Game

%files plugin-music
%doc mythplugins/mythmusic/AUTHORS mythplugins/mythmusic/COPYING mythplugins/mythmusic/README* mythplugins/mythmusic/musicdb
%{_datadir}/mythtv/music_settings.xml
%{_datadir}/mythtv/musicmenu.xml
%{_datadir}/mythtv/mythmusic/streams.xml
%{_libdir}/mythtv/plugins/libmythmusic.so
%{_localstatedir}/lib/mythmusic
%{_datadir}/mythtv/i18n/mythmusic_*.qm
%{_datadir}/mythtv/themes/default/ff_button*.png
%{_datadir}/mythtv/themes/default*/mm_*.png
%{_datadir}/mythtv/themes/default*/mm-*.png
%{_datadir}/mythtv/themes/default/music-*.png
%{_datadir}/mythtv/themes/default*/*music*.xml
%{_datadir}/mythtv/themes/default/next_button*.png
%{_datadir}/mythtv/themes/default/pause_button*.png
%{_datadir}/mythtv/themes/default/play_button*.png
%{_datadir}/mythtv/themes/default/prev_button*.png
%{_datadir}/mythtv/themes/default/rew_button*.png
%{_datadir}/mythtv/themes/default/selectionbar.png
%{_datadir}/mythtv/themes/default/stop_button*.png
%{_datadir}/mythtv/themes/default/track_info_background.png
%{_datadir}/mythtv/themes/default/miniplayer_background.png
%{_datadir}/mythtv/themes/default/stream-ui.xml
%{_datadir}/mythtv/themes/default-wide/music-sel-bg.png
%{_datadir}/mythtv/themes/default-wide/stream-ui.xml

%files plugin-netvision
%doc mythplugins/mythnetvision/README mythplugins/mythnetvision/ChangeLog mythplugins/mythnetvision/AUTHORS
%{_bindir}/mythfillnetvision
%{_libdir}/mythtv/plugins/libmythnetvision.so
%{_datadir}/mythtv/i18n/mythnetvision_*.qm
%{_datadir}/mythtv/mythnetvision
%{_datadir}/mythtv/netvisionmenu.xml
%{_datadir}/mythtv/themes/default*/netvision*.xml

%files plugin-news
%doc mythplugins/mythnews/AUTHORS mythplugins/mythnews/COPYING mythplugins/mythnews/ChangeLog mythplugins/mythnews/README*
%{_libdir}/mythtv/plugins/libmythnews.so
%{_datadir}/mythtv/i18n/mythnews_*.qm
%{_datadir}/mythtv/mythnews
%{_datadir}/mythtv/themes/default*/news*
%{_datadir}/mythtv/themes/default/enclosures.png
%{_datadir}/mythtv/themes/default/need-download.png
%{_datadir}/mythtv/themes/default/podcast.png

%files plugin-weather
%doc mythplugins/mythweather/AUTHORS mythplugins/mythweather/COPYING mythplugins/mythweather/README*
%{_libdir}/mythtv/plugins/libmythweather.so
%{_datadir}/mythtv/i18n/mythweather_*.qm
%{_datadir}/mythtv/mythweather
%{_datadir}/mythtv/themes/default/cloudy.png
%{_datadir}/mythtv/themes/default/fair.png
%{_datadir}/mythtv/themes/default/flurries.png
%{_datadir}/mythtv/themes/default/fog.png
%{_datadir}/mythtv/themes/default/logo.png
%{_datadir}/mythtv/themes/default/lshowers.png
%{_datadir}/mythtv/themes/default/mcloudy.png
%{_datadir}/mythtv/themes/default/pcloudy.png
%{_datadir}/mythtv/themes/default/rainsnow.png
%{_datadir}/mythtv/themes/default/showers.png
%{_datadir}/mythtv/themes/default/snowshow.png
%{_datadir}/mythtv/themes/default/sunny.png
%{_datadir}/mythtv/themes/default/thunshowers.png
%{_datadir}/mythtv/themes/default/unknown.png
%{_datadir}/mythtv/themes/default*/mw*.png
%{_datadir}/mythtv/themes/default*/weather-ui.xml
%{_datadir}/mythtv/weather_settings.xml

%files plugin-zoneminder
%doc mythplugins/mythzoneminder/README mythplugins/mythzoneminder/COPYING mythplugins/mythzoneminder/AUTHORS
%{_bindir}/mythzmserver
%{_libdir}/mythtv/plugins/libmythzoneminder.so
%{_datadir}/mythtv/zonemindermenu.xml
%{_datadir}/mythtv/themes/default*/zoneminder*.xml
%{_datadir}/mythtv/themes/default*/mz_*.png
%{_datadir}/mythtv/i18n/mythzoneminder_*.qm

%files plugin-archive
%{_bindir}/mytharchivehelper
%{_libdir}/mythtv/plugins/libmytharchive.so
%{_datadir}/mythtv/archive*.xml
%{_datadir}/mythtv/mytharchive
%{_datadir}/mythtv/themes/default/ma_*.png
%{_datadir}/mythtv/themes/default/mytharchive-ui.xml
%{_datadir}/mythtv/themes/default/mythburn-ui.xml
%{_datadir}/mythtv/themes/default/mythnative-ui.xml
%{_datadir}/mythtv/themes/default-wide/mytharchive-ui.xml
%{_datadir}/mythtv/themes/default-wide/mythburn-ui.xml
%{_datadir}/mythtv/themes/default-wide/mythnative-ui.xml
%{_datadir}/mythtv/i18n/mytharchive_*.qm



%changelog
* Sat Dec 28 2013 colin <colin> 0.27-20131222.2.mga4
+ Revision: 562892
- Disable the logserver (it's only recommended for developers)

* Sun Dec 22 2013 colin <colin> 0.27-20131222.1.mga4.tainted
+ Revision: 559914
- Update to latest fixes

* Tue Sep 24 2013 colin <colin> 0.27-20130922.2.mga4.tainted
+ Revision: 484758
- Really fix the version reported

* Mon Sep 23 2013 colin <colin> 0.27-20130922.1.mga4.tainted
+ Revision: 484359
- Fix version reporting
- Fix plugin build
- Properly fix zeromq install path
- Build and package the plugins too.
- New version: 0.27
- Change build to cope with mythtv subdir in new upstream tarball format
- Rediff patches and combine plugins patches (currently unused)
- Update to latest fixes

* Tue Aug 20 2013 fwang <fwang> 0.26.1-2.mga4.tainted
+ Revision: 468077
- use system build flags

* Tue Aug 20 2013 fwang <fwang> 0.26.1-1.mga4
+ Revision: 468070
- use libvaapi compat
- new version 0.26.1

* Fri Mar 29 2013 colin <colin> 0.26.0-20130328.1.mga3.tainted
+ Revision: 406445
- Add yasm as a Build Require
- Add support for libcec 2.x
- New version: 0.26

* Sun Jan 20 2013 barjac <barjac> 0.25.2-20120829.3.mga3.tainted
+ Revision: 390279
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 colin <colin> 0.25.2-20120829.1.mga3.tainted
+ Revision: 285584
- Update to 0.25.2 + latest fixes branch

* Fri Jun 29 2012 colin <colin> 0.25-20120602.3.mga3.tainted
+ Revision: 264947
- Rebuild against new libudev major
- Add suggests for mysql to the backend.

* Sat Jun 02 2012 colin <colin> 0.25-20120602.1.mga3.tainted
+ Revision: 253376
- Remove cflags patch as it causes segv's on i586 (mga#5716)
- Update to latest fixes.

* Sat Apr 28 2012 tmb <tmb> 0.25-20120418.3.mga2.tainted
+ Revision: 233806
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sun Apr 22 2012 colin <colin> 0.25-20120418.2.mga2.tainted
+ Revision: 232578
- Fix upgrade

* Sun Apr 22 2012 colin <colin> 0.25-20120418.1.mga2.tainted
+ Revision: 232535
- Fix dns sd support
- Add missing build requires and enable missing features.
- New Version: 0.25

  + tmb <tmb>
    - BR gdb

* Thu Apr 05 2012 fwang <fwang> 0.24.2-4.mga2.tainted
+ Revision: 228630
- use our own build flags for qmake base libs

* Thu Apr 05 2012 fwang <fwang> 0.24.2-3.mga2
+ Revision: 228626
- use our own lflags

* Thu Apr 05 2012 fwang <fwang> 0.24.2-2.mga2.tainted
+ Revision: 228595
- bump rel to fix missing packages
- set corresponding noarch package

* Tue Jan 24 2012 fwang <fwang> 0.24.2-1.mga2.tainted
+ Revision: 200546
- new verison 0.24.2

* Sun Dec 18 2011 fwang <fwang> 0.24.1-20111019.3.mga2.tainted
+ Revision: 183601
- add br for qtwebkit

* Sat Dec 10 2011 eatdirt <eatdirt> 0.24.1-20111019.2.mga2
+ Revision: 180354
- Rebuilt for fftw-3.3

* Wed Oct 19 2011 colin <colin> 0.24.1-20111019.1.mga2.tainted
+ Revision: 156724
- Disable faac (it's no longer provided - revisit in mga2)
- Update to latest fixes

* Sun Sep 18 2011 colin <colin> 0.24.1-20110909.1.mga2.tainted
+ Revision: 145088
- Support tainted build

* Fri Sep 09 2011 colin <colin> 0.24.1-20110909.1.mga2
+ Revision: 141864
- %%make_session is deprecated. Replaced by file triggers.
- Update to latest fixes.

* Tue Jul 12 2011 colin <colin> 0.24.1-20110710.2.mga2
+ Revision: 123046
- Fix the lib major

* Mon Jul 11 2011 colin <colin> 0.24.1-20110710.1.mga2
+ Revision: 122165
- New version: 0.24.1+fixes

* Sun May 15 2011 pterjan <pterjan> 0.24-20110303.4.mga1
+ Revision: 99022
- Rebuild for fixed find-requires

* Tue Apr 26 2011 wally <wally> 0.24-20110303.3.mga1
+ Revision: 91781
- fix desktop file names (mga#954)
- fix exec lines in desktop files

* Sat Mar 05 2011 colin <colin> 0.24-20110303.2.mga1
+ Revision: 64865
- Bump release (previous package eaten by monster)

* Fri Mar 04 2011 colin <colin> 0.24-20110303.1.mga1
+ Revision: 64030
- Update to latest fixes
- imported package mythtv

